import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (l, e, s, o) => {
  for (var t = o > 1 ? void 0 : o ? v(e, s) : e, c = l.length - 1, i; c >= 0; c--)
    (i = l[c]) && (t = (o ? i(e, s, t) : i(t)) || t);
  return o && t && m(e, s, t), t;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chatBot", this.class = "c-pieIcon c-pieIcon--chatBot", this.name = "IconChatBot";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chatBot"><path d="M9.907 1.481a5.915 5.915 0 0 0-3.92 11.157l.053 2.257.752-.122a8.602 8.602 0 0 0 7.044-5.898 5.923 5.923 0 0 0-3.929-7.394Zm2.67 7a7.2 7.2 0 0 1-5.25 4.84v-1.637l-.447-.14A4.611 4.611 0 0 1 8.175 2.53c.457.009.911.082 1.347.22a4.61 4.61 0 0 1 3.054 5.73Zm-3.422-.778L10.424 8A2.415 2.415 0 0 1 5.75 8l1.269-.324a1.102 1.102 0 0 0 2.135 0v.027Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-chat-bot")
], r);
export {
  r as IconChatBot
};
